Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class Contact4

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.Contact4

public class Contact4 extends Object

Java class for Contact4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Contact4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NmPrfx" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}NamePrefix2Code" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max140Text" minOccurs="0"/>
             <element name="PhneNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PhoneNumber" minOccurs="0"/>
             <element name="MobNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PhoneNumber" minOccurs="0"/>
             <element name="FaxNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PhoneNumber" minOccurs="0"/>
             <element name="EmailAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max2048Text" minOccurs="0"/>
             <element name="EmailPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text" minOccurs="0"/>
             <element name="JobTitl" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text" minOccurs="0"/>
             <element name="Rspnsblty" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text" minOccurs="0"/>
             <element name="Dept" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max70Text" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}OtherContact1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PrefrdMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PreferredContactMethod1Code" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`dept`
`protected String`
`emailAdr`
`protected String`
`emailPurp`
`protected String`
`faxNb`
`protected String`
`jobTitl`
`protected String`
`mobNb`
`protected String`
`nm`
`protected NamePrefix2Code`
`nmPrfx`
`protected List<OtherContact1>`
`othr`
`protected String`
`phneNb`
`protected PreferredContactMethod1Code`
`prefrdMtd`
`protected String`
`rspnsblty`

## Constructor Summary

Constructors
Constructor
Description
`Contact4()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDept()`
Gets the value of the dept property.
`String`
`getEmailAdr()`
Gets the value of the emailAdr property.
`String`
`getEmailPurp()`
Gets the value of the emailPurp property.
`String`
`getFaxNb()`
Gets the value of the faxNb property.
`String`
`getJobTitl()`
Gets the value of the jobTitl property.
`String`
`getMobNb()`
Gets the value of the mobNb property.
`String`
`getNm()`
Gets the value of the nm property.
`NamePrefix2Code`
`getNmPrfx()`
Gets the value of the nmPrfx property.
`List<OtherContact1>`
`getOthr()`
Gets the value of the othr property.
`String`
`getPhneNb()`
Gets the value of the phneNb property.
`PreferredContactMethod1Code`
`getPrefrdMtd()`
Gets the value of the prefrdMtd property.
`String`
`getRspnsblty()`
Gets the value of the rspnsblty property.
`void`
`setDept(String value)`
Sets the value of the dept property.
`void`
`setEmailAdr(String value)`
Sets the value of the emailAdr property.
`void`
`setEmailPurp(String value)`
Sets the value of the emailPurp property.
`void`
`setFaxNb(String value)`
Sets the value of the faxNb property.
`void`
`setJobTitl(String value)`
Sets the value of the jobTitl property.
`void`
`setMobNb(String value)`
Sets the value of the mobNb property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setNmPrfx(NamePrefix2Code value)`
Sets the value of the nmPrfx property.
`void`
`setPhneNb(String value)`
Sets the value of the phneNb property.
`void`
`setPrefrdMtd(PreferredContactMethod1Code value)`
Sets the value of the prefrdMtd property.
`void`
`setRspnsblty(String value)`
Sets the value of the rspnsblty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nmPrfx

protected NamePrefix2Code nmPrfx

### nm

protected String nm

### phneNb

protected String phneNb

### mobNb

protected String mobNb

### faxNb

protected String faxNb

### emailAdr

protected String emailAdr

### emailPurp

protected String emailPurp

### jobTitl

protected String jobTitl

### rspnsblty

protected String rspnsblty

### dept

protected String dept

### othr

protected List<OtherContact1> othr

### prefrdMtd

protected PreferredContactMethod1Code prefrdMtd

## Constructor Details

### Contact4

public Contact4()

## Method Details

### getNmPrfx

public NamePrefix2Code getNmPrfx()
Gets the value of the nmPrfx property.

Returns:
  possible object is `NamePrefix2Code`

### setNmPrfx

public void setNmPrfx(NamePrefix2Code value)
Sets the value of the nmPrfx property.

Parameters:
  `value` - allowed object is `NamePrefix2Code`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPhneNb

public String getPhneNb()
Gets the value of the phneNb property.

Returns:
  possible object is `String`

### setPhneNb

public void setPhneNb(String value)
Sets the value of the phneNb property.

Parameters:
  `value` - allowed object is `String`

### getMobNb

public String getMobNb()
Gets the value of the mobNb property.

Returns:
  possible object is `String`

### setMobNb

public void setMobNb(String value)
Sets the value of the mobNb property.

Parameters:
  `value` - allowed object is `String`

### getFaxNb

public String getFaxNb()
Gets the value of the faxNb property.

Returns:
  possible object is `String`

### setFaxNb

public void setFaxNb(String value)
Sets the value of the faxNb property.

Parameters:
  `value` - allowed object is `String`

### getEmailAdr

public String getEmailAdr()
Gets the value of the emailAdr property.

Returns:
  possible object is `String`

### setEmailAdr

public void setEmailAdr(String value)
Sets the value of the emailAdr property.

Parameters:
  `value` - allowed object is `String`

### getEmailPurp

public String getEmailPurp()
Gets the value of the emailPurp property.

Returns:
  possible object is `String`

### setEmailPurp

public void setEmailPurp(String value)
Sets the value of the emailPurp property.

Parameters:
  `value` - allowed object is `String`

### getJobTitl

public String getJobTitl()
Gets the value of the jobTitl property.

Returns:
  possible object is `String`

### setJobTitl

public void setJobTitl(String value)
Sets the value of the jobTitl property.

Parameters:
  `value` - allowed object is `String`

### getRspnsblty

public String getRspnsblty()
Gets the value of the rspnsblty property.

Returns:
  possible object is `String`

### setRspnsblty

public void setRspnsblty(String value)
Sets the value of the rspnsblty property.

Parameters:
  `value` - allowed object is `String`

### getDept

public String getDept()
Gets the value of the dept property.

Returns:
  possible object is `String`

### setDept

public void setDept(String value)
Sets the value of the dept property.

Parameters:
  `value` - allowed object is `String`

### getOthr

public List<OtherContact1> getOthr()
Gets the value of the othr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the othr property.

For example, to add a new item, do as follows:

        getOthr().add(newItem);

Objects of the following type(s) are allowed in the list `OtherContact1`

### getPrefrdMtd

public PreferredContactMethod1Code getPrefrdMtd()
Gets the value of the prefrdMtd property.

Returns:
  possible object is `PreferredContactMethod1Code`

### setPrefrdMtd

public void setPrefrdMtd(PreferredContactMethod1Code value)
Sets the value of the prefrdMtd property.

Parameters:
  `value` - allowed object is `PreferredContactMethod1Code`